summarylogtreecommitdiffstats
path: root/locale-en-nl-git.install
diff options
context:
space:
mode:
Diffstat (limited to 'locale-en-nl-git.install')
-rw-r--r--locale-en-nl-git.install20
1 files changed, 20 insertions, 0 deletions
diff --git a/locale-en-nl-git.install b/locale-en-nl-git.install
new file mode 100644
index 000000000000..2986ff33dccc
--- /dev/null
+++ b/locale-en-nl-git.install
@@ -0,0 +1,20 @@
+post_install() {
+ if ! grep -q '^#\?\s*en_NL' /etc/locale.gen
+ then
+ echo "#en_NL.UTF-8 UTF-8" >> /etc/locale.gen
+ fi
+
+ if ! grep -q '^en_NL' /etc/locale.gen
+ then
+ echo "Uncomment the 'en_NL.UTF-8 UTF-8' line in /etc/locale.gen and run locale-gen as root to enable the en_NL locale"
+ fi
+}
+
+pre_remove() {
+ if grep -q '^en_NL' /etc/locale.gen
+ then
+ echo "Disabling en_NL locale"
+ sed -i 's/^en_NL/#en_NL/' /etc/locale.gen
+ locale-gen
+ fi
+}